Subject: [bug#41368] [PATCH] Moved gettext to use git to better conform to better bootstrapping, better integration with Software Heritage, and what looks like emerging best practices for package sources.

From: Josh Marshall <[email-masked]>
Date: Sun, 17 May 2020 16:30:52 -0400

On Sun, May 17, 2020, 15:56 Marius Bakke <[email-masked]> wrote:

> [email-masked] writes:
>
> > From: Josh Marshall <[email-masked]>
>
> Please add commit messages following the GNU ChangeLog style to your
> patches.
>

How do I do that?  This was in large part an exercise to clean up my
development and contribution practice.

I'm surprised that this does not require adding Autoconf etc as
> native-inputs, do you know why that is?
>

I think I let my environment leak, I'll check into in.

Also, won't this cause a circular dependency on 'git-minimal'?  If it
> works for you I guess we got lucky in this case.
>

I'm not sure.  I'll test more in a little bit.

AIUI the lack of tarball integration in Software Heritage is temporary,
> i.e. it will eventually be sorted, and of course back-dated.  So I don't
> think we need to move everything to git while we wait for that.
>

When I looked into it, there appears to have been no progress in a year and
a half.